Update Portal Integration

When an new CA API Portal upgrade is available, run the Update Portal Integration task on the CA API Gateway. This task is visible only if your Gateway is already enrolled as a tenant Gateway for a CA API Developer Portal.
gateway92
When an new CA API Portal upgrade is available, run the 
Update Portal Integration 
task on the CA API Gateway. This task is visible only if your Gateway is already enrolled as a tenant Gateway for a CA API Developer Portal.
To update the API Portal Integration:
  1. Are you upgrading from Gateway 9.0?
    If yes, you must remove the Portal integration file before performing the following steps. See Upgrading from Gateway 9.0?
  2. Open the policy manager on the Gateway.
  3. Go to Tasks > Extensions and Add-Ons > Update Portal Integration
Upgrading from Gateway 9.0?
If the current tenant Gateway is version 9.0, ensure that the old Portal integration file is removed from the Gateway.
Run the following commands in a  privileged shell on the Gateway:
# service ssg stop # rm /opt/SecureSpan/Gateway/runtime/modules/assertions/ApiPortalIntegrationAssertion-9.0.00.aar # service ssg start
Frequently Asked Questions
Question
Answer
What happens if I don't upgrade when notified?
The Portal integration continues to work, but you should upgrade at your earliest convenience. The upgrade enhances the internal Portal integration code and updates Portal-related resources and entities.
Does this also upgrade my tenant Gateway?
No. This upgrades only the API Portal integration capability. To upgrade the Gateway itself, see Upgrade the Gateway.
How will I know an upgrade is required?
The system will notify the API Portal Administrator when an upgrade is required.
What happens if I did not remove the old .aar file first?
The upgrade may not complete properly. Remove the .aar file and restart the Gateway ("service ssg restart").
Note that an old .aar file exists only if you've been running the Portal integration since v9.0. It does not exist if you started the Portal integration in v9.1.